pandoc-1.8.2.1: Conversion between markup formats

Portability | portable
Stability | alpha
Maintainer | Paul Rivier <paul*rivier#demotera*com>

Text.Pandoc.Readers.Textile

Description

Conversion from Textile to `Pandoc` document, based on the spec available at http:redcloth.org/textile.

Implemented and parsed: - Paragraphs - Code blocks - Lists - blockquote - Inlines : strong, emph, cite, code, deleted, superscript, subscript, links - footnotes

Implemented but discarded: - HTML-specific and CSS-specific attributes

Left to be implemented: - dimension sign - all caps - continued blocks (ex bq..)

TODO : refactor common patterns across readers : - autolink - smartPunctuation - more ...

Synopsis

- readTextile :: ParserState -> String -> Pandoc

# Documentation

readTextile

Arguments

:: ParserState | Parser state, including options for parser
-> String | String to parse (assuming `'\n'` line endings)
-> Pandoc |

Parse a Textile text and return a Pandoc document.